<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="0252e4f5-f74e-4447-8f13-f6282e03b3a4" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/utilities/ml_metrics.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15">
              <caret line="3" selection-start-line="3" selection-end-line="3" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/utilities/common_tools.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="570">
              <caret line="127" selection-start-line="127" selection-end-line="127" />
              <folding>
                <element signature="e#24#52#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/model/train_simm_model.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="165">
              <caret line="11" column="50" selection-start-line="11" selection-start-column="50" selection-end-line="11" selection-end-column="50" />
              <folding>
                <element signature="e#24#80#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/model/view_block.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15">
              <caret line="1" column="4" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/main.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="128">
              <caret line="43" column="29" selection-start-line="43" selection-start-column="29" selection-end-line="43" selection-end-column="29" />
              <folding>
                <element signature="e#24#44#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;MarkdownPreviewEditor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="225">
                <caret line="15" column="10" lean-forward="true" selection-start-line="15" selection-start-column="10" selection-end-line="15" selection-end-column="10" />
              </first_editor>
              <second_editor>
                <markdownNavigatorState />
              </second_editor>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/model/simm_model.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-300">
              <caret line="100" selection-start-line="100" selection-end-line="100" />
              <folding>
                <element signature="e#24#45#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/utilities/common_loss.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15">
              <caret line="1" column="4" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="12" column="33" selection-start-line="12" selection-start-column="6" selection-end-line="12" selection-end-column="33" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/model/model/main_train.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="510">
              <caret line="34" column="27" selection-start-line="34" selection-start-column="27" selection-end-line="34" selection-end-column="27" />
              <folding>
                <element signature="e#24#51#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>KL</find>
      <find>_calculate_GAN_loss</find>
      <find>GAN</find>
      <find>error</find>
      <find>self.view_blocks</find>
      <find>poker_model_v2_evaluation</find>
      <find>split_data_set</find>
      <find>TOTAL_SPLITS</find>
      <find>epoch_used_for_final_result</find>
      <find>TEST_SPLIT_INDEX</find>
      <find>poker</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_loss_results_10_fold.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_results_parameter_analyse.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_results_1_fold.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_results_fn.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_pic_for_paper.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/draw_results_10_fold.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/results/print_final_result.py" />
        <option value="$PROJECT_DIR$/../retrieve_follow.py" />
        <option value="$PROJECT_DIR$/model/v2/poker_model_v2/model_inference.py" />
        <option value="$PROJECT_DIR$/model/v2/poker_model_v2/view_block.py" />
        <option value="$PROJECT_DIR$/model/utilities/common_loss.py" />
        <option value="$PROJECT_DIR$/evaluation/v2/poker_model_v2_evaluation/poker_model_evaluation_10_fold.py" />
        <option value="$PROJECT_DIR$/model/v2/poker_model_v2/poker_model.py" />
        <option value="$PROJECT_DIR$/evaluation/evaluation_fn.py" />
        <option value="$PROJECT_DIR$/model/v2/poker_model_v2/train_poker_model.py" />
        <option value="$PROJECT_DIR$/model/v2/poker_model_v2/main_train.py" />
        <option value="$PROJECT_DIR$/evaluation/config.py" />
        <option value="$PROJECT_DIR$/evaluation/main.py" />
        <option value="$PROJECT_DIR$/model/model/poker_model.py" />
        <option value="$PROJECT_DIR$/model/model/train_poker_model.py" />
        <option value="$PROJECT_DIR$/model/model/main_train.py" />
        <option value="$PROJECT_DIR$/model/utilities/ml_metrics.py" />
        <option value="$PROJECT_DIR$/config.py" />
        <option value="$PROJECT_DIR$/model/model/model_inference.py" />
        <option value="$PROJECT_DIR$/model/model/simm_model.py" />
        <option value="$PROJECT_DIR$/model/model/train_simm_model.py" />
        <option value="$PROJECT_DIR$/model/utilities/common_tools.py" />
        <option value="$PROJECT_DIR$/main.py" />
        <option value="$PROJECT_DIR$/model/model/main_prediction.py" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="SIMM code package" type="b2602c69:ProjectViewProjectNode" />
              <item name="SIMM code package" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="SIMM code package" type="b2602c69:ProjectViewProjectNode" />
              <item name="SIMM code package" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.main (1)">
    <configuration name="main (1)" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Poker_MML" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="main" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Poker_MML" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/evaluation" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/evaluation/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="poker_model_evaluation_10_fold" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Poker_MML" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/evaluation/v2/poker_model_v2_evaluation" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/evaluation/v2/poker_model_v2_evaluation/poker_model_evaluation_10_fold.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="print_final_result" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Poker_MML" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/evaluation/v2/results" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/evaluation/v2/results/print_final_result.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="retrieve_follow" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Poker_MML" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/.." />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/../retrieve_follow.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.print_final_result" />
      <item itemvalue="Python.poker_model_evaluation_10_fold" />
      <item itemvalue="Python.retrieve_follow" />
      <item itemvalue="Python.main" />
      <item itemvalue="Python.main (1)" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.main (1)" />
        <item itemvalue="Python.main" />
        <item itemvalue="Python.retrieve_follow" />
        <item itemvalue="Python.poker_model_evaluation_10_fold" />
        <item itemvalue="Python.print_final_result" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration>C:\Users\dell\AppData\Roaming\Subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="0252e4f5-f74e-4447-8f13-f6282e03b3a4" name="Default Changelist" comment="" />
      <created>1547086720619</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1547086720619</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1280" height="800" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.1938046" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32956153" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.13719943" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.5374823" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32959327" />
      <window_info anchor="bottom" id="Version Control" order="7" weight="0.32959327" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32959327" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="10" weight="0.32961586" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.31642002" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.3804213" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.48698884" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32961586" />
      <window_info anchor="bottom" id="Version Control" order="7" weight="0.32961586" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32961586" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="10" weight="0.32961586" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/evaluation/v2/results/draw_results_1_fold.py</url>
          <line>12</line>
          <option name="timeStamp" value="17" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/model/model/train_simm_model.py</url>
          <line>23</line>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/model/model/train_simm_model.py</url>
          <line>74</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="PythonConfigurationType">
        <watch expression="type(idx_list[0][0])" language="Python" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>type(idx_list[0][0])</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>idx_list[0][0]</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>idx_list[0]</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>idx_list[i]</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$USER_HOME$/anaconda3/lib/python3.7/site-packages/torch/nn/modules/module.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/fuse_feature_model/train_model.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/fuse_feature_model/main_train.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_results_parameter_analyse.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/concatenate_feature_model/train_model.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/concatenate_feature_model/main_train.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_results_1_fold.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/fuse_feature_model_evaluation/fuse_feature_model_evaluation_10_fold.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/concatenate_feature_model_evaluation/concatenate_feature_model_evaluation_10_fold.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_pic_for_paper.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_results_fn.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/print_final_result.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_results_10_fold.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/concatenate_feature_model/concatenate_model.py" />
    <entry file="file://$PROJECT_DIR$/../retrieve_follow.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/results/draw_loss_results_10_fold.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/__init__.py" />
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/scipy/io/matlab/mio.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1448">
          <caret line="216" selection-start-line="216" selection-end-line="216" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/h5py/_hl/files.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="141">
          <caret line="393" selection-start-line="393" selection-end-line="393" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/torch/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/helpers/pydev/_pydev_imps/_pydev_execfile.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/numpy/core/numerictypes.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="147">
          <caret line="512" selection-start-line="512" selection-end-line="512" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/evaluation/v2/poker_model_v2_evaluation/poker_model_evaluation_10_fold.py" />
    <entry file="file://$APPLICATION_HOME_DIR$/helpers/pydev/pydevd.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="317">
          <caret line="1757" selection-start-line="1757" selection-end-line="1757" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/torch/nn/modules/module.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1895">
          <caret line="722" column="8" selection-start-line="722" selection-start-column="8" selection-end-line="722" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/evaluation/evaluation_fn.py" />
    <entry file="file://$PROJECT_DIR$/model/utilities/predictor_model.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/v2/poker_model_v2_evaluation/poker_model_evaluation_1_fold.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/poker_model_v2/model_inference.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/poker_model_v2/poker_model.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/poker_model_v2/main_train.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/poker_model_v2/train_poker_model.py" />
    <entry file="file://$PROJECT_DIR$/model/v2/poker_model_v2/view_block.py" />
    <entry file="file://$PROJECT_DIR$/evaluation/config.py" />
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/scipy/linalg/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-35">
          <caret line="200" selection-start-line="200" selection-end-line="200" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/evaluation/main.py" />
    <entry file="file://$PROJECT_DIR$/model/model/train_poker_model.py" />
    <entry file="file://$PROJECT_DIR$/model/model/poker_model.py" />
    <entry file="file://$USER_HOME$/anaconda3/envs/dev/lib/python3.7/site-packages/torch/serialization.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2655">
          <caret line="190" column="4" selection-start-line="190" selection-start-column="4" selection-end-line="190" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/model_inference.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="25" lean-forward="true" selection-start-line="25" selection-end-line="25" />
          <folding>
            <element signature="e#24#36#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/main_prediction.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="16" column="21" selection-start-line="16" selection-start-column="21" selection-end-line="16" selection-end-column="21" />
          <folding>
            <element signature="e#24#36#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/train_simm_model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="50" selection-start-line="11" selection-start-column="50" selection-end-line="11" selection-end-column="50" />
          <folding>
            <element signature="e#24#80#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/view_block.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="4" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/main_train.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="34" column="27" selection-start-line="34" selection-start-column="27" selection-end-line="34" selection-end-column="27" />
          <folding>
            <element signature="e#24#51#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model/simm_model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-300">
          <caret line="100" selection-start-line="100" selection-end-line="100" />
          <folding>
            <element signature="e#24#45#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/utilities/common_loss.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="4" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/utilities/common_tools.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="570">
          <caret line="127" selection-start-line="127" selection-end-line="127" />
          <folding>
            <element signature="e#24#52#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/utilities/ml_metrics.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="3" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="33" selection-start-line="12" selection-start-column="6" selection-end-line="12" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="128">
          <caret line="43" column="29" selection-start-line="43" selection-start-column="29" selection-end-line="43" selection-end-column="29" />
          <folding>
            <element signature="e#24#44#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;MarkdownPreviewEditor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="225">
            <caret line="15" column="10" lean-forward="true" selection-start-line="15" selection-start-column="10" selection-end-line="15" selection-end-column="10" />
          </first_editor>
          <second_editor>
            <markdownNavigatorState />
          </second_editor>
        </state>
      </provider>
    </entry>
  </component>
</project>